Bug 76015 - eclipse uses fixed file name in /tmp
eclipse uses fixed file name in /tmp
Status: CLOSED CURRENTRELEASE
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Tromey
Tom Tromey
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 15:44 EDT by Tom Tromey
Modified: 2014-08-11 01:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-24 17:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Tromey 2002-10-15 15:44:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
Eclipse uses /tmp/platform during startup.
(I'm not sure what it uses this for.)
This seems like a barrier to having multiple instances
of Eclipse running under different users 
on a given machine at the same time.

See PlatformURLConnection for the code creating this.
(Search for "tmpdir")
This is in org.eclipse.core.boot


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
examine the source
	

Additional info:
Comment 1 Tom Tromey 2003-04-24 17:53:49 EDT
I checked in the fix, and submitted it upstream.

Note You need to log in before you can comment on or make changes to this bug.